function ID(id)
{
	return document.getElementById(id);
}
/* HTML の言語設定 */
document.addEventListener('DOMContentLoaded',function()
{

	// Chrome, Safari
	if(WHO.extension.isChrome||WHO.extension.isSafari)
	{
		getLanguage(window.navigator.language)
	}
	// Opera, Jetpack
	else
	{
		translate(lang);
	}

	function getLanguage(locale)
	{
		var xhr = new XMLHttpRequest();

		xhr.open("GET","locales/" + locale + "/preferences/lang.js",false);
		xhr.onreadystatechange = function()
		{
			if(xhr.readyState != 4){return;}
			if(xhr.status == 200||xhr.responseText)
			{
				eval(xhr.responseText);
				translate(lang);
			}
			else
			if(/(\w+)-(\w)/.test(locale))
			{
				getLanguage(RegExp.$1)
			}
			else
			{
				translate(lang);
			}
		}
		xhr.send(null);
	}

	function translate(lang)
	{
		if(lang)
		{
			// html lang="en" を変更
			document.documentElement.setAttribute('lang',lang["lang"]);

			// [:keyword:] を変更する。
			window.document.body.innerHTML = window.document.body.innerHTML.replace(/\[\:([\w:]+)\:\]/gi,function(a,a1){return lang[a1]||a});
		}
		document.body.style.display = "block";
	}

},false);
