var storage = WHO.extension.storage;

//ポップアップの初期化
WHO.extension.initializePopup();

function show(message)
{
	/* サイト設定 */
	if(message.method == "set")
	{
		var allSitePrefs = JSON.parse(storage.getItem('allSitePrefs'))||{};

		var siteOrigin = message.focused.origin;
		var sitePrefs  = allSitePrefs[siteOrigin]||{};

		//アドレス書き換え
		document.getElementById("SiteOrigin").textContent = siteOrigin;

		/* モードの切り替え */
		var Disabled = document.querySelector('#Disabled input');

		Disabled.checked = sitePrefs["disabled"]||false;

	}
}

document.addEventListener('DOMContentLoaded',function(e)
{
	/* 変更時設定の保存 */
	var form  = document.getElementsByTagName('form')[0];
	form.addEventListener('change',function(e)
	{
		var origin       = document.getElementById("SiteOrigin").textContent.toString();
		var Disabled     = document.querySelector('#Disabled input');
		var allSitePrefs = JSON.parse(storage.getItem('allSitePrefs'))||{};

		allSitePrefs[origin] = allSitePrefs[origin]||{};
		allSitePrefs[origin].disabled = Disabled.checked;

		storage.setItem('allSitePrefs',JSON.stringify(allSitePrefs));
		WHO.extension.sendRequest('QuaBEx',{method:"changeIcon"});

	},false);

},false);

/* ポップアップが開いた時 */
WHO.extension.addShowListener(function(e)
{
	WHO.extension.sendRequest('FocusedPage',{method:"get"},show);
});
